Discussion:
[Bug 101475] Max Core Profile for OpenGL showing 0.0
(too old to reply)
b***@freedesktop.org
2017-06-17 00:02:04 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

Bug ID: 101475
Summary: Max Core Profile for OpenGL showing 0.0
Product: Mesa
Version: 17.1
Hardware: x86-64 (AMD64)
OS: Linux (All)
Status: NEW
Severity: normal
Priority: medium
Component: Drivers/Vulkan/radeon
Assignee: mesa-***@lists.freedesktop.org
Reporter: ***@gmail.com
QA Contact: mesa-***@lists.freedesktop.org

Hello,

I have updated my mesa drivers from the oibaf ppa to 17.0.0-rc1.
However, when I run glxinfo | grep -v, it returns:

server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
Max core profile version: 0.0
Max compat profile version: 2.1
Max GLES1 profile version: 1.1
Max GLES[23] profile version: 2.0
OpenGL version string: 2.1 Mesa 17.0.0-rc1
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 17.0.0-rc1
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

Why is it showing my core profile version to be 0.0?
I checked the logs, and I found no errors. When I run applications e.g. Unreal
Editor 4 which require above openGL 3.0, they crash saying that they can not
create the openGL context.

I have an AMD graphics card, which is HD 5570.
--
You are receiving this mail because:
You are the QA Contact for the bug.
You are the assignee for the bug.
b***@freedesktop.org
2017-06-17 00:13:18 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

Dylan Baker <***@gmail.com> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|NEW |NEEDINFO

--- Comment #1 from Dylan Baker <***@gmail.com> ---
You have removed useful information, like which driver was actually loaded. You
currently have GL 2.1, but for a core profile you need at least 3.2. I think
the most likely scenario is that you're falling back to software rendering.

what does `glxininfo | grep renderer` return?
--
You are receiving this mail because:
You are the assignee for the bug.
You are the QA Contact for the bug.
b***@freedesktop.org
2017-06-17 00:16:45 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

--- Comment #2 from Dylan Baker <***@gmail.com> ---
Also, are you sure you're running 17.0.0-rc1? That is a very old release
candidate, if you are running that you should update to 17.1.2.
--
You are receiving this mail because:
You are the assignee for the bug.
You are the QA Contact for the bug.
b***@freedesktop.org
2017-06-17 00:27:06 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

--- Comment #3 from ***@gmail.com ---
glxinfo | grep renderer returns:
GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: Gallium 0.4 on AMD REDWOOD (DRM 2.43.0 /
4.4.0-79-generic, LLVM 3.8.0)

Also, how do I update to 17.1.2?
--
You are receiving this mail because:
You are the assignee for the bug.
You are the QA Contact for the bug.
b***@freedesktop.org
2017-06-17 00:57:49 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

***@gmail.com changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|NEEDINFO |NEW

--- Comment #4 from ***@gmail.com ---
Okay,

I used the ubuntu-x ppa to install the mesa 17.1.2, but for some reason, when I
run glxinfo | grep version, it still returns:

server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
Max core profile version: 0.0
Max compat profile version: 2.1
Max GLES1 profile version: 1.1
Max GLES[23] profile version: 2.0
OpenGL version string: 2.1 Mesa 17.0.0-rc1
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 17.0.0-rc1
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

What am I doing wrong?
--
You are receiving this mail because:
You are the assignee for the bug.
You are the QA Contact for the bug.
b***@freedesktop.org
2017-06-17 22:52:07 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

--- Comment #5 from ***@gmail.com ---
I also tried installing it from source but now, it also shows:
server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
Max core profile version: 0.0
Max compat profile version: 2.1
Max GLES1 profile version: 1.1
Max GLES[23] profile version: 2.0
OpenGL version string: 2.1 Mesa 17.1.2
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 17.1.2
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

glxinfo | grep renderer now returns:
GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: Gallium 0.4 on AMD REDWOOD (DRM 2.49.0 /
4.10.0-19-generic, LLVM 4.0.0)
--
You are receiving this mail because:
You are the assignee for the bug.
You are the QA Contact for the bug.
b***@freedesktop.org
2017-06-17 23:50:33 UTC
Permalink
Raw Message
https://bugs.freedesktop.org/show_bug.cgi?id=101475

***@gmail.com changed:

What |Removed |Added
----------------------------------------------------------------------------
Assignee|mesa-***@lists.freedesktop. |dri-***@lists.freedesktop
|org |.org
QA Contact|mesa-***@lists.freedesktop. |dri-***@lists.freedesktop
|org |.org
Component|Drivers/Vulkan/radeon |Drivers/Gallium/r600
--
You are receiving this mail because:
You are the assignee for the bug.
You are the QA Contact for the bug.
Loading...